<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Kino Tsoi - Kup bilet</title>
</head>
<body>
    <?php include("header.php"); ?>
    <div class="ticketpage">
        <?php 
        require_once("db.php");
        require_once("requirelogin.php");
        require_once("getscreeninginfo.php");

        $screeningid = intval($_GET['sid'] ?? 0);

        $scrinfo = get_screening_info($conn, $screeningid);

        echo("<b>Tytuł:</b> ".$scrinfo["movieinfo"]["title"]."<br>
            <b>Rok produkcji:</b> ".$scrinfo["movieinfo"]["year"]."<br>
            <b>Reżyser:</b> ".$scrinfo["movieinfo"]["directors"]."<br>
            <b>Data seansu:</b> ".date("d.m.Y", strtotime($scrinfo["date"]))." ".substr($scrinfo["time"], 0, -3)."<br>");

        $getreserv_q = $conn->prepare("SELECT `seatid` FROM `reservations` WHERE `reservations`.`screeningid` = ?");
        $getreserv_q->bind_param('i', $screeningid);
        $getreserv_q->execute();
        $getreserv_r = $getreserv_q->get_result()
            or die("Nie udało się pobrać listy rezerwacji!");

        $reservedseats = [];

        while($reservation = mysqli_fetch_row($getreserv_r)) {
            $reservedseats[$reservation[0]] = true;
        }

        echo('<br><br><form action="reserve.php" method="post" class="seatsview">
        <input type="hidden" name="screeningid" value="'.$screeningid.'">');

        for($i = 0; $i < 300; $i++) {
            echo('<input type="checkbox" name="seat_'.$i.'" '.(isset($reservedseats[$i]) ? 'disabled' : '').'>');
            if($i % 30 == 29) echo('<br>');
            else if(($i) % 10 == 9) echo('&nbsp;&nbsp;&nbsp;');
        }

        echo('<br><input type="submit" name="submit" value="Zarezerwuj" class="widesubmit"></form>');
        ?>
    </div>
    
</body>
</html>