<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Kino Tsoi - Profil</title>
</head>
<body>
    <?php include("header.php"); ?>
    <div class="profilepage">
        <?php 
        require_once("db.php");
        require_once("requirelogin.php");
        require_once("getscreeninginfo.php");

        $profile_q = $conn->prepare("SELECT `username`, `phone` FROM `users` WHERE `id` = ?");
        $profile_q->bind_param('i', $_SESSION['userid']);
        $profile_q->execute();
        $profile_r = $profile_q->get_result()
            or die("Nie udało pobrać profilu");

        $profile = mysqli_fetch_assoc($profile_r);

        if($profile == NULL) die('Profil o podanym ID nie istnieje!');

        echo('<h2>Mój profil:</h2>
        <b>Nazwa użytkownika:</b> '.$profile["username"].'<br>
        <b>Nr. telefonu:</b> '.$profile["phone"].'<br><br>
        <a href="/logout.php">[ Wyloguj ]</a><br>
        <h2>Moje rezerwacje:</h2><div class="ticketscont">');

        $myres_q = $conn->prepare("SELECT * FROM `reservations` WHERE `userid` = ?");
        $myres_q->bind_param('i', $_SESSION['userid']);
        $myres_q->execute();
        $myres_r = $myres_q->get_result()
            or die("Nie udało pobrać listy rezerwacji");

        while($resinfo = mysqli_fetch_assoc($myres_r)) {
            $scrinfo = get_screening_info($conn, $resinfo["screeningid"]);

            echo("<div class='ticket'>
            <h3>".date("d.m.Y", strtotime($scrinfo["date"]))." ".substr($scrinfo["time"], 0, -3)."<br>
            ".$scrinfo["movieinfo"]["title"]."</h3>
            <b>Rząd:</b> ".floor($resinfo["seatid"]/30)."<br>
            <b>Siedzenie:</b> ".($resinfo["seatid"]%30)."<br><br>
            </div>");
        }

        echo("</div>");

        ?>
    </div>
    
    
</body>
</html>